### Property

# Gio FilterInputStream:base-stream

since: 2.0

#### Declaration

    property base-stream: Gio.InputStream [ read, write, construct-only ]

#### Description

The underlying base stream on which the I/O ops will be done.

Type: | `GInputStream`
Available since: | 2.0

Getter method | `g_filter_input_stream_get_base_stream()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes